Motion - Support Question 2008x 11x 04x 163459

"Error capturing first image" on fresh install?

Question

Hi there,

I just did a fresh install of Ubuntu 8.10, an apt-get install motion from the repositories of 3.2.9, and a Logitech Quickcam Orbit MP. Out of the box with no changes to the config files motion starts, but crashes giving an "Error capturing first image" message. I haven't been able to find anything else in the logs. The camera works fine in ekiga and luvcview.

Any ideas? I'd love to get this up & running. Thank you!

andy@andy-linux:/etc/motion$ sudo motion -n
[0] Processing thread 0 - config file motion.conf
[0] Motion 3.2.9 Started
[0] ffmpeg LIBAVCODEC_BUILD 3355136 LIBAVFORMAT_BUILD 3409664
[0] Thread 1 is from motion.conf
[1] Thread 1 started
[1] cap.driver: "uvcvideo"
[1] cap.card: "UVC Camera (046d:08c2)"
[1] cap.bus_info: "0000:00:1f.2"
[1] cap.capabilities=0x04000001
[1] - VIDEO_CAPTURE
[1] - STREAMING
[1] Supported palettes:
[1] 0: MJPG (MJPEG)
[0] motion-httpd/3.2.9 running, accepting connections
[0] motion-httpd: waiting for data on port TCP 8080
[1] Test palette MJPG (320x240)
[1] Using palette MJPG (320x240) bytesperlines 0 sizeimage 42666 colorspace 00000008
[1] VIDIOC_G_JPEGCOMP not supported but it should
[1] found control 0x00980900, "Brightness", range 0,255 
[1]    "Brightness", default 127, current 127
[1] found control 0x00980901, "Contrast", range 0,255 
[1]    "Contrast", default 32, current 32
[1] found control 0x00980902, "Saturation", range 0,255 
[1]    "Saturation", default 32, current 32
[1] found control 0x00980910, "Gamma", range 100,220 
[1]    "Gamma", default 220, current 220
[1] found control 0x00980913, "Gain", range 0,255 
[1]    "Gain", default 0, current 0
[1] mmap information:
[1] frames=4
[1] 0 length=42666
[1] 1 length=42666
[1] 2 length=42666
[1] 3 length=42666
[1] Using V4L2
[1] Error capturing first image
[1] Thread finishing...

Environment

Motion version: 3.2.9
ffmpeg version:  
Libraries: ffmpeg, mysql, postgresql
Server OS: Ubuntu 8.10

-- AndyMax - 04 Nov 2008

Follow up

Please notice that current stable version is 3.2.11 , no won't backport fixes to old versions.

Get 3.2.11 and try to reproduce your issue.

-- AngelCarpintero - 06 Nov 2008

Answer

http://www.lavrsen.dk/twiki/bin/view/Motion/DebianUbuntu

-- AngelCarpintero - 19 Nov 2008
Topic revision: r3 - 19 Nov 2008, AngelCarpintero
Copyright © 1999-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Please do not email Kenneth for support questions (read why). Use the Support Requests page or join the Mailing List.
This website only use harmless session cookies. See Cookie Policy for details. By using this website you accept the use of these cookies.